IonCube Loader Installation doesn't work

January 7, 2015 2.6k views

Hey Community,
I tried to install the IonCube Loader following this tutorial an a LAMP-Droplet:
My extension_dir is /usr/lib/php5/20121212/ and now there is the file. So it seems everything went quite allright.

But the echo var_export(extension_loaded('ionCube Loader') ,true); in outputs "false". And so does a SystemCheck for a Shop I'm trying to install:

What went wrong?

Best Regards
Ben Seitz

PS: I restarted apache already a few times and waited. Still nothing.

2 Answers

That tutorial targets Ubuntu 12.04 while the current LAMP Stack One-Click image is using 14.04

Append the line:

zend_extension = /usr/lib/php5/20121212/

to the file /etc/php5/apache2/php.ini and restart Apache:

sudo service apache2 restart

You should be all good to go now!

  • Works perfectly - maybe you could add this to the tutorial?

  • @asb
    sir, could you please assist me on installing ioncube on Nginx/ ubuntu 14.04?
    i searched the community and found many of others having issue on LEMP 14.04.

    thanks in advance

Have another answer? Share your knowledge.